<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE tiles-definitions PUBLIC
      "-//Apache Software Foundation//DTD Tiles Configuration 2.0//EN"
      "http://tiles.apache.org/dtds/tiles-config_2_0.dtd">

<tiles-definitions>

  <definition name="profile.PublicProfileWidget" template="/WEB-INF/view/profile/PublicProfileWidget.jsp" preparer="profile.publicProfileWidgetPreparer"/>

  <definition name="profile.FootmarkWidget" template="/WEB-INF/view/profile/FootmarkWidget.jsp" preparer="profile.footmarkWidgetPreparer"/>

  <definition name="profile.FriendWidget" template="/WEB-INF/view/profile/FriendWidget.jsp" preparer="profile.friendWidgetPreparer"/>

  <definition name="profile.View" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/profile/View.jsp"/>
    <put-list-attribute name="cssNames">
      <add-attribute value="profile" type="string"/>
    </put-list-attribute>
    <put-list-attribute name="dojoRequires">
      <add-attribute value="dojo.parser" type="string"/>
      <add-attribute value="dijit.layout.ContentPane" type="string"/>
      <add-attribute value="dijit.layout.StackContainer" type="string"/>
    </put-list-attribute>
  </definition>

  <definition name="profile.FriendSubscribeSuccess" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/profile/FriendSubscribeSuccess.jsp"/>
  </definition>

  <definition name="profile.PublicProfile" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/profile/PublicProfile.jsp"/>
  </definition>

</tiles-definitions>
